import React from 'react';
import Icon from '../icon';
import { Tooltip, TooltipContent, TooltipTrigger } from '../tooltip';
import { InfoOutlined } from '@mui/icons-material';

type Props = {
  tooltip: string;
  side?: 'top' | 'bottom' | 'left' | 'right';
};

export default function Info({ tooltip, side = 'left' }: Props) {
  return (
    <Tooltip>
      <TooltipTrigger>
        <Icon component={<InfoOutlined />} size={14} />
      </TooltipTrigger>
      <TooltipContent side={side}>
        <p>{tooltip}</p>
      </TooltipContent>
    </Tooltip>
  );
}
